curl -G https://api.chargeapi.co/v1/payment_methods \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "pm_nVAhf8kfmRW2FlfXPrFPsyun29A0HbtA",
"object": "payment_method",
"bank_account": null,
"billing_details": {
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"email": "example@example.com",
"name": "Example",
"phone": "+33189000023"
},
"card": {
"brand": "visa",
"exp_month": 12,
"exp_year": 2030,
"fingerprint": "fp_card_example",
"last4": "4242"
},
"created": "2026-04-01T00:35:36.204Z",
"driver": null,
"fleet": "flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy",
"type": "card",
"wallet": null
}
],
"next_page_url": "https://api.chargeapi.co/v1/payment_methods?page=page_a5QwckgP2SrgrjAajbNJUtXN9fBCYQfQNuBBctoKAY0&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Payment Methods
List Payment Methods
curl -G https://api.chargeapi.co/v1/payment_methods \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "pm_nVAhf8kfmRW2FlfXPrFPsyun29A0HbtA",
"object": "payment_method",
"bank_account": null,
"billing_details": {
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"email": "example@example.com",
"name": "Example",
"phone": "+33189000023"
},
"card": {
"brand": "visa",
"exp_month": 12,
"exp_year": 2030,
"fingerprint": "fp_card_example",
"last4": "4242"
},
"created": "2026-04-01T00:35:36.204Z",
"driver": null,
"fleet": "flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy",
"type": "card",
"wallet": null
}
],
"next_page_url": "https://api.chargeapi.co/v1/payment_methods?page=page_a5QwckgP2SrgrjAajbNJUtXN9fBCYQfQNuBBctoKAY0&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Returns a paginated list of payment method objects. Scope results to a specific
driver or fleet, and optionally filter by type.
curl -G https://api.chargeapi.co/v1/payment_methods \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "pm_nVAhf8kfmRW2FlfXPrFPsyun29A0HbtA",
"object": "payment_method",
"bank_account": null,
"billing_details": {
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"email": "example@example.com",
"name": "Example",
"phone": "+33189000023"
},
"card": {
"brand": "visa",
"exp_month": 12,
"exp_year": 2030,
"fingerprint": "fp_card_example",
"last4": "4242"
},
"created": "2026-04-01T00:35:36.204Z",
"driver": null,
"fleet": "flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy",
"type": "card",
"wallet": null
}
],
"next_page_url": "https://api.chargeapi.co/v1/payment_methods?page=page_a5QwckgP2SrgrjAajbNJUtXN9fBCYQfQNuBBctoKAY0&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Parameters
string
Scope to payment methods attached to this driver.
string
Scope to payment methods attached to this fleet.
integer
Maximum number of objects to return (default 10).
string
Page token from a previous list response.
string
Filter results by payment method type.Available options:
card, bank_account, walletReturns
Returns a page of payment methods.array of object
required
Array of payment method objects.
string | null
required
URL for the next page of results, or
null when there is no next page.string | null
required
URL for the previous page of results, or
null when there is no previous page.
